# Remove items from cart Remove one or more items from the shopping cart by product ID. Returns the updated cart. Requires authentication. Endpoint: POST /mcp/v1/actions/ud_cart_remove Version: 1.0.0 Security: bearerAuth ## Request fields (application/json): - `productIds` (array, required) Array of product IDs to remove from the cart ## Response 200 fields (application/json): - `removedProductIds` (array) - `removedCount` (number) - `cart` (object) - `cart.itemCount` (number) - `cart.subtotal` (number) - `cart.subtotalFormatted` (string) - `cart.items` (array) - `cart.items.productId` (number) - `cart.items.productCode` (string) - `cart.items.productType` (string) - `cart.items.domain` (string,null) - `cart.items.originalPrice` (number) - `cart.items.originalPriceFormatted` (string) - `cart.items.discountAmount` (number) - `cart.items.discountAmountFormatted` (string) - `cart.items.promoCreditsApplied` (number) - `cart.items.accountBalanceApplied` (number) - `cart.items.salesTax` (number) - `cart.items.fees` (array) ## Response 401 fields